Bug 17173 - Quick edit a subfield in frameworks
Summary: Quick edit a subfield in frameworks
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-23 17:50 UTC by Jonathan Druart
Modified: 2017-06-14 22:15 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17173: Quick jump to subfield edition form (1.63 KB, patch)
2016-08-23 17:54 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17173: Quick jump to subfield edition form (1.80 KB, patch)
2016-08-24 14:09 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 17173: Quick jump to subfield edition form (1.85 KB, patch)
2016-10-14 08:18 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-08-23 17:50:04 UTC
There are too many click to jump to the edit form of a specific subfield.
Comment 1 Jonathan Druart 2016-08-23 17:54:29 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2016-08-24 14:09:09 UTC
Created attachment 54829 [details] [review]
Bug 17173: Quick jump to subfield edition form

There are too many clicks to jump to the edit form of a specific
subfield.

This patch adds a hidden feature (i.e. will not be polished or
documented).

When searching for a tag field from a marc framework structure, it's not
possible to search for a tag subfield to jump directly to the subfield
edition form.

Test plan:
On /admin/marctagstructure.pl?frameworkcode=FRAMEWORKCODE
Search for a subfield (952$d)
you will be redirected to the subfield edition form

There is no check if the subfield does not exist.

Followed test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>
Comment 3 Nick Clemens 2016-10-14 08:18:39 UTC
Created attachment 56475 [details] [review]
Bug 17173: Quick jump to subfield edition form

There are too many clicks to jump to the edit form of a specific
subfield.

This patch adds a hidden feature (i.e. will not be polished or
documented).

When searching for a tag field from a marc framework structure, it's not
possible to search for a tag subfield to jump directly to the subfield
edition form.

Test plan:
On /admin/marctagstructure.pl?frameworkcode=FRAMEWORKCODE
Search for a subfield (952$d)
you will be redirected to the subfield edition form

There is no check if the subfield does not exist.

Followed test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Kyle M Hall 2016-10-21 15:13:15 UTC
Pushed to master for 16.11, thanks Jonathan!